Macro Align Face Object to View: Difference between revisions

From FreeCAD Documentation
m (minor)
(translate)
Line 1: Line 1:
<translate>
{{Macro|Icon=Text-x-python|Name=Macro Align Face Object to View|Description=This macro direct the face of the object on the side of the ActiveView.|Author=Mario52}}
{{Macro|Icon=Text-x-python|Name=Macro Align Face Object to View|Description=This macro directs the face of the object on the side of the ActiveView.|Author=Mario52}}


==Description==
==Description==
This macro directs the face of the object on the side of the ActiveView (camera).

This macro direct the face of the object on the side of the ActiveView (camera)

In the case of the face of a borehole (or internal or cylinder) face drilling facing the screen
In the case of the face of a borehole (or internal or cylinder) face drilling facing the screen


==How to use==
==How to use==
* Select your object and run the macro

Select your object and run the macro
* Your object will be of the camera

your object will be of the camera


==Script==
==Script==
</translate>

'''Macro_Align_Face_Object_to_View.FCMacro'''
'''Macro_Align_Face_Object_to_View.FCMacro'''


Line 37: Line 34:


}}
}}



{{clear}}
<languages/>

Revision as of 22:15, 16 January 2015

File:Text-x-python Macro Align Face Object to View

Description
This macro directs the face of the object on the side of the ActiveView.

Author: Mario52
Author
Mario52
Download
None
Links
Macro Version
1.0
Date last modified
None
FreeCAD Version(s)
None
Default shortcut
None
See also
None

Description

This macro directs the face of the object on the side of the ActiveView (camera). In the case of the face of a borehole (or internal or cylinder) face drilling facing the screen

How to use

  • Select your object and run the macro
  • Your object will be of the camera

Script

Macro_Align_Face_Object_to_View.FCMacro

# This macro directs the face of the object on the side of the ActiveView (camera)
# extact
# 16/01/2015

__title__="FCCamera"
__author__ = "Mario52"

import pivy
from pivy import coin

try:
    v=Gui.Selection.getSelectionEx()[0].SubObjects[0].Surface.Axis
    dir = Gui.Selection.getSelectionEx()[0].SubObjects[0].normalAt(0,0)
    r=App.Rotation(App.Vector(0,0,1),v)
    Gui.ActiveDocument.ActiveView.setCameraOrientation(r.Q)
except Exception:
    App.Console.PrintError("Select a face and run the macro"+"\n")


Other languages: